/**
 * 工作履历
 *
 * @export
 * @interface HRWorkRecord
 */
export interface HRWorkRecord {

    /**
     * 工作履历标识
     *
     * @returns {*}
     * @memberof HRWorkRecord
     */
    hrworkrecordid?: any;

    /**
     * 工作履历名称
     *
     * @returns {*}
     * @memberof HRWorkRecord
     */
    hrworkrecordname?: any;

    /**
     * 更新人
     *
     * @returns {*}
     * @memberof HRWorkRecord
     */
    updateman?: any;

    /**
     * 建立时间
     *
     * @returns {*}
     * @memberof HRWorkRecord
     */
    createdate?: any;

    /**
     * 建立人
     *
     * @returns {*}
     * @memberof HRWorkRecord
     */
    createman?: any;

    /**
     * 更新时间
     *
     * @returns {*}
     * @memberof HRWorkRecord
     */
    updatedate?: any;

    /**
     * 员工标识
     *
     * @returns {*}
     * @memberof HRWorkRecord
     */
    hremployeeid?: any;

    /**
     * 员工姓名
     *
     * @returns {*}
     * @memberof HRWorkRecord
     */
    hremployeename?: any;

    /**
     * 开始时间
     *
     * @returns {*}
     * @memberof HRWorkRecord
     */
    begintime?: any;

    /**
     * 结束时间
     *
     * @returns {*}
     * @memberof HRWorkRecord
     */
    endtime?: any;

    /**
     * 工作单位
     *
     * @returns {*}
     * @memberof HRWorkRecord
     */
    workorganization?: any;

    /**
     * 部门
     *
     * @returns {*}
     * @memberof HRWorkRecord
     */
    workdepartment?: any;

    /**
     * 职务
     *
     * @returns {*}
     * @memberof HRWorkRecord
     */
    duty?: any;

    /**
     * 职位
     *
     * @returns {*}
     * @memberof HRWorkRecord
     */
    post?: any;

    /**
     * 主要经历
     *
     * @returns {*}
     * @memberof HRWorkRecord
     */
    mainwork?: any;
}